Subject: 385 Architectural Bronze

From: [email-masked]
Date: 18 Dec 1994 16:01:06 GMT

Upon recieving a shipment of a few bars of #385,I noticed ther was a
slight color difference between a few of the bars.Not giving it a second
thought I started cutting on the lathe.The shiny bars cut like free
cutting brass,whilst the dull finished bars cut like #660 bearing
bronze.Which one is the #385,since it is the first time i am working with
this material? Anyone expierienced with this number?